/* Products on the front page need
to be in column How many columns?
YOU DECIDE! */

/* Product grid */

html.cssgrid,
html.no-js {
  ul.products {
    &::before, &::after { display: none; content: revoke; }
    display: grid;
    grid-template-columns: repeat( 2, 1fr );
    grid-gap: 0.5em;

    @include wider-than( tablet ) {
      grid-template-columns: repeat( 3, 1fr );
      grid-gap: 1em;
    }

    @include wider-than( desktop ) {
      grid-template-columns: repeat( 4, 1fr );
      grid-gap: 1.875em;
    }

    li.product {
      width: 100% !important;
      margin-right: 0 !important;
      margin-bottom: 0 !important;
    }
  }


  // If you have cross, we make them 1 columns
  .driv-cross-sells,
  .crosssells,
  .cross-sells {
    ul.products {
      grid-template-columns: repeat( 3, 1fr );
    }
  }

  @include wider-than( mobile ) {
    @include not-wider-than( tablet ) {
      @for $i from 2 through 8 {
        .columns-#{$i} ul.products {
          grid-template-columns: repeat( 3, 1fr );
        }
      }
    }
  }

  @include wider-than( tablet ) {
    @include not-wider-than( laptop ) {
      @for $i from 2 through 8 {
        .columns-#{$i} ul.products {
          grid-template-columns: repeat( ( $i / 2 ), 1fr );
        @if $i > 4 { grid-gap: 0.5rem; }
        }
      }
    }
  }

  @include wider-than( laptop ) {
    @for $i from 2 through 8 {
      .columns-#{$i} ul.products {
        grid-template-columns: repeat( $i, 1fr );
        @if $i > 6 { grid-gap: 0.5rem; }
      }
    }
  }



  // Push down the last row, we know it's causing issues
  .flex-product-list {
    padding-bottom: 0.5rem;
    @include wider-than( tablet ) { padding-bottom: 1rem; }
    @include wider-than( desktop ) { padding-bottom: 1.875rem; }
  }
}



html.no-cssgrid {

  /* There are 2 products in a row */
  .columns-2 ul.products li.product {
    @include not-wider-than( tablet ){
      @include span( 6, 12, 1rem );
      &:nth-of-type(even){
        clear: right;
        margin-right: 0;
      }
    }

    @include span( 6, 12 );
    &:last-child{
      clear: right;
      margin-right: 0;
    }
  }

  /* There are 3 products in a row */
  .columns-3 ul.products li.product {
    @include not-wider-than( tablet ){
      @include span( 6, 12, 1rem );
      &:nth-of-type(even){
        clear: right;
        margin-right: 0;
      }
    }

    @include wider-than(tablet){
      @include span( 4, 12 );
      &:nth-of-type(3n+3){
        clear: right;
        margin-right: 0;
      }
    }
  }

  /* There are 4 products in a row */
  .columns-4 ul.products li.product {
    @include not-wider-than( tablet ){
      @include span( 6, 12, 1rem );
      &:nth-of-type(even){
        clear: right;
        margin-right: 0;
      }
    }

    @include wider-than(tablet){
      @include span( 3, 12 );
      &:nth-of-type(4n+4){
        clear: right;
        margin-right: 0;
      }
    }
  }

  /* There are 5 products in a row */
  .columns-5 ul.products li.product {
    @include not-wider-than( tablet ){
      @include span( 6, 12, 1rem );
      &:nth-of-type(even){
        clear: right;
        margin-right: 0;
      }
    }

    @include wider-than( tablet ){
      @include not-wider-than( laptop ){
        @include span( 4, 12 );
        &:nth-of-type(3n+3){
          clear: right;
          margin-right: 0;
        }
      }
    }

    @include wider-than(laptop){
      @include span( 2.4, 12 );
      &:nth-of-type(5n+5){
        clear: right;
        margin-right: 0;
      }
    }
  }

  /* There are 6 products in a row */
  .columns-6 ul.products li.product {
    @include not-wider-than( tablet ){
      @include span( 6, 12, 1rem );
      &:nth-of-type(even){
        clear: right;
        margin-right: 0;
      }
    }

    @include wider-than( tablet ){
      @include not-wider-than( laptop ){
        @include span( 4, 12, 1rem );
        &:nth-of-type(3n+3){
          clear: right;
          margin-right: 0;
        }
      }
    }

    @include wider-than( laptop ){
      @include span( 2, 12, 1rem );
      &:nth-of-type(6n+6){
        clear: right;
        margin-right: 0;
      }
    }
  }
}